aboutsummaryrefslogtreecommitdiff
path: root/desktop/ubuntulooks/ubuntulooks.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/ubuntulooks/ubuntulooks.SlackBuild')
-rw-r--r--desktop/ubuntulooks/ubuntulooks.SlackBuild21
1 files changed, 12 insertions, 9 deletions
diff --git a/desktop/ubuntulooks/ubuntulooks.SlackBuild b/desktop/ubuntulooks/ubuntulooks.SlackBuild
index ec2b8eb24f7d7..55bb2e2b7b50e 100644
--- a/desktop/ubuntulooks/ubuntulooks.SlackBuild
+++ b/desktop/ubuntulooks/ubuntulooks.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for ubuntulooks.
-# Copyright 2006 Andrew Brouwers <abrouwers@gmail.com>
+# Copyright 2008 Andrew Brouwers <abrouwers@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,18 +22,20 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
+# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=ubuntulooks
-VERSION=0.9.12
+VERSION=0.9.12_8
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG=_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+SRCVERSION=0.9.12
DOCS="AUTHORS COPYING INSTALL ChangeLog NEWS README"
if [ "$ARCH" = "i486" ]; then
@@ -45,17 +47,18 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
-rm -rf $PRGNAM-$VERSION
-tar xvfz $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
-cd $PRGNAM-$VERSION || exit 1
+rm -rf $PRGNAM-$SRCVERSION
+tar xvfz $CWD/${PRGNAM}_${SRCVERSION}.orig.tar.gz
+cd $PRGNAM-$SRCVERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Apply the main version bump patch
+zcat $CWD/${PRGNAM}_${SRCVERSION}-8.diff.gz | patch -p1
# Apply the patches from debian
-gunzip -c $CWD/${PRGNAM}_${VERSION}-4.diff.gz | patch -p1
patch -p1 < debian/patches/01_fix_listview_arrows_drawing.patch
patch -p1 < debian/patches/01_fix_tick_box_drawing.patch
-
+patch -p1 < debian/patches/01_progressbar-fix.patch
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \